/**
 * @file lstd.c
 *
 * @brief Portable replacements for some functions.
 */
#include "lstd.h"

/**
 * @brief Check to see if a key is alpha.
 *    @param k Key to check.
 *    @return 1 if is alpha.
 */
int lstd_isalpha(SDLKey k) {
  int ret;

  ret = 0;

  /* Alpha. */
  if((k >= SDLK_a) && (k <= SDLK_z))
    ret = 1;

  return ret;
}

/**
 * @brief Like isalnum but for keysyms.
 *    @param k Key to check.
 *    @return 1 if is alnum.
 */
int lstd_isalnum(SDLKey k) {
  int ret;

  ret = 0;

  /* Alpha. */
  if((k >= SDLK_a) && (k <= SDLK_z))
    ret = 1;

  /* Number. */
  if((k >= SDLK_0) && (k <= SDLK_9))
    ret = 1;

  return ret;
}

